Skip to main content
POST
/
v1
/
searches
curl --request POST \
  --url https://api.olostep.com/v1/searches \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "Best Answer Engine Optimization startups"
}
'
{
  "id": "search_9bi0sbj9xa",
  "object": "search",
  "created": 1760327323,
  "metadata": {},
  "query": "Best Answer Engine Optimization startups",
  "credits_consumed": 10,
  "result": {
    "json_content": "<string>",
    "json_hosted_url": "<string>",
    "links": [
      {
        "url": "<string>",
        "title": "<string>",
        "description": "<string>",
        "markdown_content": "<string>",
        "html_content": "<string>"
      }
    ],
    "size_exceeded": true,
    "credits_consumed": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Body

application/json
query
string
required

The search query in natural language.

Example:

"What's going on with OpenAI's Sora shutting down?"

limit
integer
default:12

Maximum number of links to return after deduplication.

Required range: 1 <= x <= 25
Example:

10

include_domains
string[]

Restrict results to these domains. Bare hosts only — leading http(s):// and trailing slashes are stripped automatically.

Example:
["nytimes.com", "wsj.com"]
exclude_domains
string[]

Exclude results from these domains. Bare hosts only — leading http(s):// and trailing slashes are stripped automatically.

Example:
["reddit.com"]
scrape_options
object

Optional. When provided, each returned link is also scraped and its content embedded into the response. Per-page scrape credits are billed automatically by the underlying /v1/scrapes endpoint.

Response

Successful response with search results.

id
string
Example:

"search_9bi0sbj9xa"

object
string
Example:

"search"

created
integer
Example:

1760327323

metadata
object
query
string
Example:

"Best Answer Engine Optimization startups"

credits_consumed
integer

Total credits consumed by this request: 5 base search credits + sum of per-page scrape credits when scrape_options was used.

Example:

10

result
object